
Name: bibleanalyzer
Version: 5.0
Release: %mkrel 1

URL: http://www.bibleanalyzer.com/
Summary: Bible study and analysis software program 
Source0: bibleanalyzer_5.0-5_all.deb
Source1: bibleanalyzer
Group: Education
License: Optional
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
#----------------------------
Requires: wxPythonGTK
Requires: espeak 
Requires: python
Requires: python-espeak
Requires: python-configobj
#----------------------------

%description
Bible Analyzer is a free, cross-platform Bible study and
analysis software program developed to aid Believers in
their study and defense of the Holy Scriptures. 

%prep
#nothing

%build
#nobuild

%install
rm -rf %buildroot
ar -xv %SOURCE0

tar -Jxvf data.tar.xz
rm -f control.tar.gz
rm -f data.tar.xz
rm -f debian-binary
rm -rf etc

rm -rf %{buildroot}
mkdir -p %{buildroot}
cp -R * %{buildroot}

#not needed
rm -rf %{buildroot}/%{_datadir}/desktop-directories

#fix version in desktopfile
perl -pi -e "s|5.0.2|1.0|" %buildroot%{_datadir}/applications/*.desktop

#menu entry
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="BibleAnalyzer" \
  --add-category="X-MandrivaLinux-MoreApplications-Education-Literature" \
  --dir %buildroot%{_datadir}/applications %buildroot%{_datadir}/applications/*.desktop

install -m 0755 %SOURCE1 %buildroot/%{_bindir}/bibleanalyzer

chmod 0755  %buildroot//opt/bibleanalyzer/ba-run.py
  
%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
/opt
/usr


%changelog
* Sat May 06 2017 bb2 <bb2> 5.0-1pclos2017
- new version

* Sat Dec 06 2014 bb <bb> 4.7.2-1pclos2014
- import into pclos
